@ECHO OFF
set GHDL_STD=08
set GHDL_FLAGS=-v --std=%GHDL_STD% --workdir=ghdl
set GHDL_FLAGS_IEEE=-v --std=%GHDL_STD% --workdir=ghdl --ieee=standard

ECHO Launch simulation of all testbenchs
ghdl -r %GHDL_FLAGS_IEEE% gc_d_decoder_tb --wave=ghdl\gc_d_decoder_tb.ghw
ghdl -r %GHDL_FLAGS_IEEE% -fsynopsys fifo_async_tb --ieee-asserts=disable --wave=ghdl\fifo_async_tb.ghw
ghdl -r %GHDL_FLAGS_IEEE% -fsynopsys top_tb --ieee-asserts=disable --stop-time=7us --wave=ghdl\top_tb.ghw

REM gtkwave ghdl\top_gc_di_tb.ghw
