#!/bin/bash
GHDL_STD="08"
GHDL_FLAGS="-v --std=$GHDL_STD --workdir=ghdl"
GHDL_FLAGS_IEEE="-v --std=$GHDL_STD --workdir=ghdl --ieee=standard"

echo "Launch simulation of all testbenchs"
ghdl -r $GHDL_FLAGS_IEEE gc_d_decoder_tb --wave=./ghdl/gc_d_decoder_tb.ghw
ghdl -r $GHDL_FLAGS_IEEE -fsynopsys fifo_async_tb --ieee-asserts=disable --wave=./ghdl/fifo_async_tb.ghw
ghdl -r $GHDL_FLAGS_IEEE -fsynopsys top_tb --ieee-asserts=disable --stop-time=7us --wave=./ghdl/top_tb.ghw

#gtkwave ./ghdl/top_gc_di_tb.ghw
